# NgMtcUi

Conjunto de componentes Angular del MTC

## Instalación
Ejecutar `npm install --save ng-mtc-ui`

## Uso
1. Importar el módulo `NgMtcUiModule` en `AppModule`
```ts
import { NgMtcUiModule } from 'ng-mtc-ui';

@NgModule({
  ...
  imports: [
    ...
    NgMtcUiModule
    ...
  ],
  ...
})
export class AppModule {
}
```

2. Injectar los valores que usarán los servicios web y rutas
```ts
import { LOGO_URL, NgMtcUiModule, URL_SW } from 'ng-mtc-ui';

@NgModule({
  ...
  providers: [
    {provide: URL_SW, useValue: 'https://172.22.9.74:9201/'},
    {provide: APP_NAME, useValue: 'Bandeja Digital de Interoperabilidad v2.0'}, // Aparece en Footer
    {
      provide: HEADER_DATA,
      useValue: {
        title: 'Bandeja Digital MTC',
        abbr: 'MTC',
        logoPath: 'assets/logomtc.png'
      } as HeaderData
    } // Aparece en Header
  ],
  ...
})
export class AppModule {
}
```

3. Importar los estilos
```scss
@import "~ng-mtc-ui/assets/styles";
```
