import { SweetAlertIcon } from 'sweetalert2';
import { Observable } from 'rxjs';
export declare const Constante: {
    Indicador: {
        SI: string;
        NO: string;
    };
    Sesion: {
        LLAVE_USUARIO: string;
        TIPOS_DECLARACION: string;
        LISTA_MESES: string;
        LISTA_PRODUCTOS: string;
    };
    TipoAccionFormulario: {
        AGREGAR: string;
        EDITAR: string;
        VER: string;
    };
    TipoCampoParametro: {
        TEXTO: string;
        CASILLA: string;
        COLOR: string;
        CONTRASENIA: string;
        PARAMETRO_RELACIONADO: string;
        NUMERO_DECIMAL: string;
        NUMERO_ENTERO: string;
    };
    EstadoDocumento: {
        PENDIENTE: string;
        RECEPCIONADO: string;
        ENVIADO: string;
        OBSERVADO: string;
    };
};
export interface PeticionHTTP {
    tipo?: 'post' | 'get';
    url: string;
    datos?: any;
    mostrarCargando?: boolean;
    mostrarMensajeExito?: boolean;
    mostrarMensajeError?: boolean;
}
export interface OpcionesModal {
    titulo?: string;
    mensaje?: string;
    icono?: SweetAlertIcon;
    mostrarAceptar?: boolean;
    etiquetaAceptar?: string;
    mostrarCancelar?: boolean;
    etiquetaCancelar?: string;
    toast?: boolean;
}
export interface ColumnaTabla {
    titulo: string;
    campo: string;
    clase?: string;
    claseDinamica?(valor: any, fila: any): string;
    ancho?: string;
    anchoMinimo?: string;
    esCheck?: boolean;
    valorCheck?: any;
    formato?: 'NE' | 'ND' | 'F';
    adaptador?(valor: any, fila: any): any;
}
export interface ColumnaCheck {
    mostrarSeleccionarTodos?: boolean;
    marcado?(fila: any): boolean;
}
export interface EventoBotonDT {
    codigoBoton: string;
    indiceFila: number;
    registro: any;
}
export interface BotonDT {
    codigo?: string;
    etiqueta: string;
    icono: string;
    clase?: string;
    mostrar?(datosFila: any, boton?: BotonDT): boolean;
    evento?(datosFila: any, indiceFila?: number): void;
}
export declare function marcarCheckFilaDT(fila: any, seleccionado: boolean): void;
export declare class ResultadoProceso<T> {
    exito: boolean;
    mostrarAdvertencia: boolean;
    contenido: T;
    mensaje: string;
    mensajeError: string;
    rastroError: string;
    total: number;
    enMantenimiento: boolean;
}
export interface IMaestro extends IBase {
    codigo?: string;
    descripcion?: string;
}
export interface IBase {
    id?: number;
    numeroPagina?: number;
    registroInicial?: number;
    tamanioPagina?: number;
    fechaInicio?: Date;
    fechaFin?: Date;
}
export interface IOpcionSistema extends IBase {
    idOpcion?: number;
    nombreOpcion?: string;
    url?: string;
    tituloOpcion?: string;
    direccionOpcion?: string;
    direccionParametros?: any;
    idGrupoOpcion?: number;
    orden?: number;
    indicadorActivo?: boolean;
    indicadorEliminado?: string;
    esVisible?: boolean;
    imagen?: string;
    controladora?: string;
    accion?: string;
    area?: string;
    subOpciones?: IOpcionSistema[];
    visible?: boolean;
    onClick?: (item: IOpcionSistema) => void;
    onClickDefault?: boolean;
}
export interface IUsuario extends IBase {
    codigo?: string;
    contrasenia?: string;
    nombre?: string;
    correo?: string;
    imagen?: string;
    token?: string;
    expiracionToken?: string;
    opciones?: IOpcionSistema[];
}
export interface Funcion {
    (): boolean | Observable<boolean | ResultadoProceso<any>>;
}
export interface OpcionesFormulario {
    titulo?: string;
}
export interface QueryResult {
    columns: string[];
    data: any[][];
    affectedRows: number;
}
export interface HeaderData {
    title: string;
    abbr: string;
    logoPath?: string;
}
export interface FormMantenimientoData {
    codigo: string;
    contrasenia: string;
    enMantenimiento: boolean;
}
export interface OpcionFiltroBandejaCrud {
    etiqueta: string;
    valor: any;
}
